MissingArgumentException (Commons CLI 1.2 API)
Keywords: org.apache.commons.cli.MissingArgumentException class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.cli
Class MissingArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.cli.ParseException
                  org.apache.commons.cli.MissingArgumentException

All Implemented Interfaces:
  Serializable

    public class MissingArgumentException

extends ParseException

Thrown when an option requiring an argument is not provided with an argument.

Version:
  $Revision: 680644 $, $Date: 2008-07-29 01:13:48 -0700 (Tue, 29 Jul 2008) $
Author:
  John Keyes (john at integralsource.com)
See Also:
  Serialized Form

Constructor Summary
`MissingArgumentException(Option option)` Construct a new `MissingArgumentException` with the specified detail message.
`MissingArgumentException(String message)` Construct a new `MissingArgumentException` with the specified detail message.

Method Summary
`Option` | `getOption()` Return the option requiring an argument that wasn't provided on the command line.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingArgumentException

    public MissingArgumentException(String message)

  Construct a new `MissingArgumentException` with the specified detail message.

  Parameters:
    `message` - the detail message

### MissingArgumentException

    public MissingArgumentException(Option option)

  Construct a new `MissingArgumentException` with the specified detail message.

  Parameters:
    `option` - the option requiring an argument
  Since:
    1.2

Method Detail

### getOption

    public Option getOption()

  Return the option requiring an argument that wasn't provided on the command line.

  Returns:
    the related option
  Since:
    1.2

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 The Apache Software Foundation. All Rights Reserved.